cURL
single
curl --request POST \ --url https://www.neode.ai/api/triples \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "triples": [ { "subject": "Elon Musk", "predicate": "founded", "object": "SpaceX", "object_type": "entity", "confidence": 0.95, "source": "https://wikipedia.org/wiki/SpaceX" } ], "index_id": "550e8400-e29b-41d4-a716-446655440000" } '
{ "success": true, "message": "<string>", "data": [ { "subject": "<string>", "predicate": "<string>", "object": "<string>", "object_type": "literal", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "confidence": 0.5, "source": "<string>", "graph_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "index_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "subject_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "object_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z" } ], "inserted_count": 123 }
Create one or more triples. Entities are automatically created/disambiguated based on subject and object names.
API key for authentication
Show child attributes
Index for entity disambiguation (required)
Default graph for all triples
Default source for all triples
Successfully created
Response from creating triples